Package org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.AllRevisionsDumper.Stream

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper
  - - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

- Direct Known Subclasses:
    `CDORevisionUtil.AllRevisionsDumper.Stream.Html`, `CDORevisionUtil.AllRevisionsDumper.Stream.Plain`
  Enclosing class:
    CDORevisionUtil.AllRevisionsDumper

      public abstract static class CDORevisionUtil.AllRevisionsDumper.Stream
      extends CDORevisionUtil.AllRevisionsDumper

  A `revision dumper` that directs all output to a stream. The concrete output format is implemented by subclasses.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDORevisionUtil.AllRevisionsDumper.Stream.Html` | A `revision dumper` that directs all output as HTML text to a stream.
    `static class` | `CDORevisionUtil.AllRevisionsDumper.Stream.Plain` | A `revision dumper` that directs all output as plain text to a stream.

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `CDORevisionUtil.AllRevisionsDumper.Stream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stream​(java.util.Map<CDOBranch,​java.util.List<CDORevision>> map, java.io.PrintStream out)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.PrintStream` | `out()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `dump, dumpBranch, dumpEnd, dumpRevision, dumpStart, getMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stream

          public Stream​(java.util.Map<CDOBranch,​java.util.List<CDORevision>> map,
                        java.io.PrintStream out)

  - ### Method Detail

    - #### out

          public java.io.PrintStream out()